**    ModelEco : MODELling in mathematical programming for the ECOnomic analysis of agriculture    **

*-----------------------------------------------------------------------------*
$Ontext
Nom              beefCattleFarm.gms
Sequence         2 - The farm model
Type             LP
Langage GAMS     3 dimensional tables. Indexed equations
Description
 Livestock Model
$Offtext
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*


*----------                          INDICES                        ----------*
sets
C crops  /barley,grass,hay/
A cattle present /cow,FVeal,MVeal,bull1,bull2,heifer1,heifer2,heifer3/
;

*----------                           DATA                       ----------*
scalar
Land_A  land availability (crops)       /100/
Labour_A     labour availability in hours    /2000/
PROL     prolificity                             /0.9/
SEXRATIO sex ratio                                /0.5/
RENEW   renewal rate                             /0.18/
CULLING   culling rate                             /0.18/
;

parameter

LabourNeeds(C)         labour needs per crops
/barley   20
 grass   8
 hay   10/

PRICE(C) crop prices (euros per kg)
/barley  0.10/

YLD(C) yield per crop (kg par hectare)
/barley  6000
 grass 2000
 hay  3000/

COST(C) costs (euros per ha)
/barley  380
 grass  50
 hay  100/

LabourNeedsA(a)  labour needs (hours per ha and per year)
/cow   10
 FVeal    4
 MVeal    4
 bull1    6
 bull2    3
 heifer1 4
 heifer2 6
 heifer3 8/

PRICEA(A) cattle price (euros)
/cow    1000
 MVeal     650
 FVeal     695
 bull2     929
 heifer3 1200/
;

table FeedNeeds(A,C) feeding needs (KG per animal)
          barley      hay      grass
 cow       661      1543       1187
 MVeal     119       474        365
 FVeal     119       474        365
 bull1    1044      1392
 bull2     204       818
 heifer1   143       570        438
 heifer2   204       818        629
 heifer3   234       934        718
;

*----------                         MODEL                          ----------*

variable Z income ;

positive variables
N(A)     animal number
X(C)     land area per crop
cS(C)     crop sold
AS(A)    animal sold
;